Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.presentation
Interface IValueCell

    com.change_vision.jude.api.inf.presentation.IValueCell

All Superinterfaces:
  ICell, IEntity, IHyperlinkOwner, IPresentation

All Implemented Interfaces:
  ICell, IEntity, IHyperlinkOwner, IPresentation

    public IValueCell

extends ICell

Interface for CRUD value cell.

Method Summary
`abstract Color` | `getColor()` Get Color.
`abstract String` | `getValue()` Get Value.
`abstract boolean` | `isCreate()` Check if Create is specified.
`abstract boolean` | `isDelete()` Check if Delete is specified.
`abstract boolean` | `isRead()` Check if Read is specified.
`abstract boolean` | `isUpdate()` Check if Update is specified.
`abstract void` | `setColor(Color color)` Set Color.
`abstract void` | `setCreate(boolean isCreate)` Set Create.
`abstract void` | `setDelete(boolean isDelete)` Set Delete.
`abstract void` | `setRead(boolean isRead)` Set Read.
`abstract void` | `setUpdate(boolean isUpdate)` Set Update.

Methods inherited from class com.change_vision.jude.api.inf.presentation.IPresentation
`getDepth, getDiagram, getID, getLabel, getModel, getProperties, getProperty, getType, setLabel, setProperties, setProperty`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getValue

    abstract String getValue()

  Get Value.

  Returns:
    String Value. Return empty string("") if there is none.

### isCreate

    abstract boolean isCreate()

  Check if Create is specified.

  Returns:
    true "C" is specified / false "C" is not specified

### isRead

    abstract boolean isRead()

  Check if Read is specified.

  Returns:
    true "R" is specified / false "R" is not specified

### isUpdate

    abstract boolean isUpdate()

  Check if Update is specified.

  Returns:
    true "U" is specified / false "U" is not specified

### isDelete

    abstract boolean isDelete()

  Check if Delete is specified.

  Returns:
    true "D" is specified / false "D" is not specified

### getColor

    abstract Color getColor()

  Get Color.

  Returns:
    Color. Return NULL if color is not set.

### setCreate

    abstract void setCreate(boolean isCreate)

  Set Create.

  Parameters:
    `isCreate` - true Create / false not Create.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setRead

    abstract void setRead(boolean isRead)

  Set Read.

  Parameters:
    `isRead` - true Read / false not Read.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setUpdate

    abstract void setUpdate(boolean isUpdate)

  Set Update.

  Parameters:
    `isUpdate` - true Update / false not Update.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setDelete

    abstract void setDelete(boolean isDelete)

  Set Delete.

  Parameters:
    `isDelete` - true Delete / false not Delete.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setColor

    abstract void setColor(Color color)

  Set Color.

  Parameters:
    `color` - Color
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD